Debian Bug report logs - #599467
lb config drops anything but first arg when using auto

version graph

Package: live-build; Maintainer for live-build is Live Systems Maintainers <debian-live@lists.debian.org>; Source for live-build is src:live-build.

Reported by: Jun NOGATA <nogajun@gmail.com>

Date: Thu, 7 Oct 2010 18:18:05 UTC

Severity: normal

Found in version live-build/2.0.2-1

Fixed in version 2.0.7-1

Done: Daniel Baumann <daniel@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Live Project <debian-live@lists.debian.org>:
Bug#599467; Package live-build. (Thu, 07 Oct 2010 18:18:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jun NOGATA <nogajun@gmail.com>:
New Bug report received and forwarded. Copy sent to Debian Live Project <debian-live@lists.debian.org>. (Thu, 07 Oct 2010 18:18:08 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Jun NOGATA <nogajun@gmail.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: live-build: LB_BOOTAPPEND_LIVE lost on the way
Date: Fri, 08 Oct 2010 03:14:57 +0900
Package: live-build
Version: 2.0.2-1
Severity: normal


Hi,
--bootappend-live is set when there is auto/config, LB_BOOTAPPEND_LIVE is lost on the way.

 
1. Type 'lb config'
2. Make auto/config file. [1]
3. Type 'lb config --bootappend-live "locales=ja_JP.UTF-8 keyboard-model=jp106 keyboard-layouts=jp"'
4. Show LB_BOOTAPPEND_LIVE in config/binary file. [2]
   LB_BOOTAPPEND_LIVE is lost from "keyboard-model=jp106"

[1] auto/config
--------------------------------------------------
#!/bin/sh

MIRROR_DEBIAN="http://cdn.debian.net/debian/"
MIRROR_SECURITY="http://security.geo.debian.org/"

lb config noauto \
        --distribution squeeze \
        --binary-images iso \
        -l ja \
        --archive-areas "main contrib non-free" \
        --mirror-binary ${MIRROR_DEBIAN} \
        --mirror-binary-security ${MIRROR_SECURITY} \
        --mirror-bootstrap ${MIRROR_DEBIAN} \
        --mirror-chroot ${MIRROR_DEBIAN} \
        --mirror-chroot-security ${MIRROR_SECURITY} \
        --syslinux-timeout 10 \
        ${@}
--------------------------------------------------

[2] config/binary
--------------------------------------------------
# $LB_BOOTAPPEND_LIVE: set boot parameters
# (Default: empty)
LB_BOOTAPPEND_LIVE="locales=ja_JP.UTF-8" <- It is lost from "keyboard-model=jp106"
--------------------------------------------------



-- Package-specific info:

-- System Information:
Debian Release: squeeze/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (1, 'experimental')
Architecture: i386 (i686)

Kernel: Linux 2.6.32-5-686 (SMP w/2 CPU cores)
Locale: LANG=ja_JP.UTF-8, LC_CTYPE=ja_JP.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages live-build depends on:
ii  cdebootstrap                  0.5.6      Bootstrap a Debian system
ii  debootstrap                   1.0.25     Bootstrap a basic Debian system

Versions of packages live-build recommends:
ii  cpio                          2.11-4     GNU cpio -- a program to manage ar
ii  gettext-base                  0.18.1.1-3 GNU Internationalization utilities
ii  gnu-fdisk                     1.2.4-3    Linux fdisk replacement based on l

Versions of packages live-build suggests:
ii  dosfstools   3.0.10-1                    utilities for making and checking 
ii  fakeroot     1.14.4-1                    Gives a fake root environment
ii  genext2fs    1.4.1-2.2                   ext2 filesystem generator for embe
ii  genisoimage  9:1.1.10-1                  Creates ISO-9660 CD-ROM filesystem
ii  grub         0.97-63                     GRand Unified Bootloader (dummy pa
pn  memtest86+ | <none>                      (no description available)
ii  mtools       4.0.12-1                    Tools for manipulating MSDOS files
ii  parted       2.3-2                       The GNU Parted disk partition resi
ii  squashfs-too 1:4.0-8                     Tool to create and append to squas
ii  sudo         1.7.4p4-3                   Provide limited super user privile
ii  syslinux     2:4.02+dfsg+20100904.061141 collection of boot loaders
ii  uuid-runtime 2.17.2-3.3                  runtime components for the Univers
ii  win32-loader 0.6.19                      Debian-Installer loader for win32

-- no debconf information

----
NOGATA,Jun - mail: nogajun@gmail.com
           - web: http://www.nofuture.tv/diary/




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live Project <debian-live@lists.debian.org>:
Bug#599467; Package live-build. (Fri, 08 Oct 2010 06:42:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to daniel@debian.org:
Extra info received and forwarded to list. Copy sent to Debian Live Project <debian-live@lists.debian.org>. (Fri, 08 Oct 2010 06:42:03 GMT) Full text and rfc822 format available.

Message #10 received at 599467@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel@debian.org>
To: Jun NOGATA <nogajun@gmail.com>
Cc: 599467@bugs.debian.org
Subject: Re: Bug#599467: live-build: LB_BOOTAPPEND_LIVE lost on the way
Date: Fri, 08 Oct 2010 08:37:48 +0200
retitle lb config drops anything but first argument when using auto
thanks

On 10/07/2010 08:14 PM, Jun NOGATA wrote:
> --bootappend-live is set when there is auto/config, LB_BOOTAPPEND_LIVE is lost on the way.

the bug is that it drops everything after the first argument, will look
into it.

-- 
Address:        Daniel Baumann, Burgunderstrasse 3, CH-4562 Biberist
Email:          daniel.baumann@panthera-systems.net
Internet:       http://people.panthera-systems.net/~daniel-baumann/




Changed Bug title to 'lb config drops anything but first arg when using auto' from 'live-build: LB_BOOTAPPEND_LIVE lost on the way' Request was from Daniel Baumann <daniel@debian.org> to control@bugs.debian.org. (Fri, 08 Oct 2010 06:42:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live Project <debian-live@lists.debian.org>:
Bug#599467; Package live-build. (Mon, 22 Nov 2010 20:00:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to daniel@debian.org:
Extra info received and forwarded to list. Copy sent to Debian Live Project <debian-live@lists.debian.org>. (Mon, 22 Nov 2010 20:00:08 GMT) Full text and rfc822 format available.

Message #17 received at 599467@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel@debian.org>
To: 599467@bugs.debian.org
Subject: Re: lb config drops anything but first arg when using auto
Date: Mon, 22 Nov 2010 20:57:58 +0100
tag 599467 pending
thanks

this is fixed in git.

-- 
Address:        Daniel Baumann, Burgunderstrasse 3, CH-4562 Biberist
Email:          daniel.baumann@panthera-systems.net
Internet:       http://people.panthera-systems.net/~daniel-baumann/




Added tag(s) pending. Request was from Daniel Baumann <daniel@debian.org> to control@bugs.debian.org. (Mon, 22 Nov 2010 20:00:12 GMT) Full text and rfc822 format available.

Reply sent to daniel@debian.org:
You have taken responsibility. (Mon, 22 Nov 2010 23:30:06 GMT) Full text and rfc822 format available.

Notification sent to Jun NOGATA <nogajun@gmail.com>:
Bug acknowledged by developer. (Mon, 22 Nov 2010 23:30:07 GMT) Full text and rfc822 format available.

Message #24 received at 599467-done@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel@debian.org>
To: 599467-done@bugs.debian.org
Subject: done
Date: Tue, 23 Nov 2010 00:29:10 +0100
Version: 2.0.7-1

-- 
Address:        Daniel Baumann, Burgunderstrasse 3, CH-4562 Biberist
Email:          daniel.baumann@panthera-systems.net
Internet:       http://people.panthera-systems.net/~daniel-baumann/




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 26 Dec 2010 07:35:58 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 20:12:51 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.